package com.tuoheng.admin.enums;

import lombok.Getter;

/**
 * 任务状态枚举
 */
public enum TaskStatusEnum {
    NOTREVIEWED(1,"任务待审核"),
    TOFLY(5,"任务待飞行"),
    INFLIGHT(10,"任务飞行中"),
    FAIL(12,"任务执行失败"),
    COMPLETE(15,"任务飞行完成(图片待审核)"),
    AUDITFAILED(20,"审核未通过"),
    REVIEWED(25,"图片已审核(问题待分派)"),
    PENDING(30,"问题待处理"),
    PROCESSING(35,"问题处理中"),
    PROCESSED(40,"问题已处理(报告待生成)"),
    GENERATED(45,"报告已生成");

    TaskStatusEnum(int code, String description){
        this.code = code;
        this.description = description;
    }

    @Getter
    private int code;

    @Getter
    private String description;
}
